using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static bool Da_ili_ne(int N, int M, int K)
        {
            if (K > N)
            {
                return false;
            }
            else
            {
                int U = M;
                int p = 1;
                for (int A = N; A > 0; A--, p++)
                {
                    U -= p;
                }
                if (U >= 0)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
        }
        static void Ispisivanje(string[] U)
        {
            for (int ap = 0; ap < U.Length; ap++)
            {
                Console.WriteLine(U[ap]);
            }
        }
        static void Main(string[] args)
        {
            int T, N, M, K; string[] U;
            T = int.Parse(Console.ReadLine());
            U = new string[T];
            for (int PK = 0; PK < U.Length; PK++)
            {
                string[] NMK = Console.ReadLine().Split(' ');
                N = int.Parse(NMK[0]);
                M = int.Parse(NMK[1]);
                K = int.Parse(NMK[2]);
                if (Da_ili_ne(N, M, K) == true)
                {
                    U[PK] = "Tak";
                }
                else
                {
                    U[PK] = "Nie";
                }
            }
            Ispisivanje(U);
        }
    }
}